.NET Framework Compatibility Requirements

.NET Framework Compatibility Requirements

Cette page n'est pas encore disponible en français, sa traduction est en cours.
Si vous avez des questions ou des retours sur notre projet de traduction actuel, n'hésitez pas à nous contacter.
  • The .NET Tracer supports all .NET-based languages (for example, C#, F#, Visual Basic).

  • The .NET Tracer library for Datadog is open source. For more information, see the .NET Tracer repository.

Supported .NET Framework runtimes

The .NET Tracer supports automatic instrumentation on .NET Framework 4.5 and above. It also supports .NET Core.

VersionMicrosoft End of Life
4.8
4.7.2
4.7
4.6.2
4.6.104/26/2022
4.604/26/2022
4.5.204/26/2022
4.5.101/12/2016
4.501/12/2016

Additional information on .NET Framework support policy can be found within Microsoft’s .NET Framework Lifecycle Policy.

Supported processor architectures

The .NET Tracer supports automatic instrumentation on the following architectures:

Processor architectures
Windows x86 (win-x86)
Windows x64 (win-x64)

Integrations

The latest version of the .NET Tracer can automatically instrument the following libraries:

Framework or libraryNuGet packageIntegration Name
ADO.NETbuilt-inAdoNet
AerospikeAerospike.Client 4.0.0+Aerospike
ASP.NET (including Web Forms)built-inAspNet
ASP.NET MVCMicrosoft.AspNet.Mvc 4.0+AspNetMvc
ASP.NET Web API 2Microsoft.AspNet.WebApi 5.1+AspNetWebApi2
AWS SQSAWSSDK.SQS 3.0+AwsSqs
CosmosDbMicrosoft.Azure.Cosmos.Client 3.6.0CosmosDb
ElasticsearchElasticsearch.Net 5.3.0+ElasticsearchNet
GraphQL .NETGraphQL 2.3.0+GraphQL
HttpClient / HttpMessageHandlerbuilt-inHttpMessageHandler
KafkaConfluent.Kafka 1.4+Kafka
MongoDBMongoDB.Driver.Core 2.1.0+MongoDb
MSMQbuilt-inMsmq
MySqlMySql.Data 6.7.0+AdoNet
OracleOracle.ManagedDataAccess 4.122.0+AdoNet
PostgreSQLNpgsql 4.0+AdoNet
RabbitMQRabbitMQ.Client 3.6.9+RabbitMQ
Redis (ServiceStack client)ServiceStack.Redis 4.0.48+ServiceStackRedis
Redis (StackExchange client)StackExchange.Redis 1.0.187+StackExchangeRedis
SQL ServerSystem.Data 4.0.0+
System.Data.SqlClient 4.0.0+
Microsoft.Data.SqlClient 1.0.0+
AdoNet
WCF (server)built-inWcf
WebClient / WebRequestbuilt-inWebRequest

Don’t see your desired libraries? Datadog is continually adding additional support. Check with the Datadog team for help.

Further reading

Documentation, liens et articles supplémentaires utiles: